@font-face{
	font-family: '7seg';
	src: url('../res/fonts/7seg.ttf') format('truetype');
}
@font-face{
	font-family: 'Pacifico';
	src: url('../res/fonts/Pacifico.ttf') format('truetype');
}
@font-face{
	font-family: 'Komika';
	src: url('../res/fonts/Komika.ttf') format('truetype');
}
*{
	box-sizing: border-box;
}

html, 
body{
	margin: 0;
	padding: 0;
	font-size: 100%;
}

body{
	display: flex;
	flex-flow: column;
	justify-content: center;
	align-items: center;
	background: #A8D8EA;
}

#container{
	display: flex;
	flex-flow: column;
	position: relative;
	margin-bottom: 32px;
}

#display-container{
	display: flex;
	flex-flow: column;
}

#button-container{
	display: flex;
}

input[type=button]{
	display: flex;
	justify-content: center;
	align-items: center;
	cursor: pointer;
	background: #AA96DA;
	padding: 8px 0;
	font-weight: bold;
	font-family: 'Komika';
	color: #fff;
	outline: none;
	border: none;
	border-radius: 8px;
	font-size: 20px;
	box-shadow: 0 2px 2px 0 rgba(0, 0, 0, 0.14), 0 1px 5px 0 rgba(0, 0, 0, 0.12), 0 3px 1px -2px rgba(0, 0, 0, 0.2);
	text-shadow: 0 2px 2px rgba(0, 0, 0, 0.14), 0 1px 5px rgba(0, 0, 0, 0.12), 0 1px 1px rgba(0, 0, 0, 0.2);
	transition: 0.28s cubic-bezier(0.4, 0, 0.2, 1);
}

input[type=button]:active{
	background: hsla(258, 48%, 82%, 1);
	transition: 10ms linear;
}

#button-container input{
	flex: 1 0 0;
	margin-top: 0px;
}

#button-container * + *{
	margin-left: 8px;
}

#potential,
#actual{
	background: #fff;
	font-family: "7seg";
	font-size: 64px;
	padding: 12px 12px 0 12px;
	border-radius: 8px;
	box-shadow: inset 0 8px 10px 1px rgba(0, 0, 0, 0.14), inset 0 3px 14px 2px rgba(0, 0, 0, 0.12), inset 0 5px 5px -3px rgba(0, 0, 0, 0.4);
}

.placeholder{
	position: absolute;
	font-family: "7seg";
	font-size: 64px;
	padding: 12px 12px 0 12px;
	bottom: 0;
	margin: 0 0 8px 0 !important;
	opacity: 0.075;
	pointer-events: none;
}

#total{
	background: #FCBAD3;
}

#to-add{
	background: #FFFFD2;
}

#total,
#to-add{
	display: flex;
	flex-flow: column;
	padding: 8px;
	font-family: 'Pacifico';
	border-radius: 8px;
	position: relative;
	box-shadow: 0 2px 2px 0 rgba(0, 0, 0, 0.14), 0 1px 5px 0 rgba(0, 0, 0, 0.12), 0 3px 1px -2px rgba(0, 0, 0, 0.2);
}

#container * + *{
	margin-top: 8px;
}

.title{
	display: flex;
	font-size: 24px;
	align-items: center;
	color: #fff;
	text-shadow: 0 2px 2px rgba(0, 0, 0, 0.14), 0 1px 5px rgba(0, 0, 0, 0.12), 0 1px 1px rgba(0, 0, 0, 0.2);
}

#intro{
	align-self: center;
	font-family: 'Pacifico';
	color: #fff;
	font-size: 64px;
	text-shadow: 0 0 12px rgba(252,186,211,1), 0 0 16px rgba(255,255,210,1), 0 0 20px rgba(170,150,218,1) ;
}

input[value=CLEAR]{
	background: #ec407a;
}

input[value=CLEAR]:active{
	background: hsla(340, 82%, 79%, 1);
}